org.apache.ignite.client.events

## Class RequestFailEvent

- java.lang.Object
- - org.apache.ignite.client.events.RequestEvent
  - - org.apache.ignite.client.events.RequestFailEvent

-     public class RequestFailEvent
      extends RequestEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestFailEvent(ConnectionDescription conn, long requestId, short opCode, String opName, long elapsedTimeNanos, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `elapsedTime(TimeUnit timeUnit)` Get the elapsed time of the request.
    `Throwable` | `throwable()` Get a cause of the failure.

    - ### Methods inherited from class org.apache.ignite.client.events.RequestEvent

      `connectionDescription, operationCode, operationName, requestId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestFailEvent

          public RequestFailEvent(ConnectionDescription conn,
                                  long requestId,
                                  short opCode,
                                  String opName,
                                  long elapsedTimeNanos,
                                  Throwable throwable)

      Parameters:
        `conn` - Connection description.
        `requestId` - Request id.
        `opCode` - Operation code.
        `opName` - Operation name.
        `elapsedTimeNanos` - Elapsed time in nanoseconds.
        `throwable` - Throwable that caused the failure.

  - ### Method Detail

    - #### elapsedTime

          public long elapsedTime(TimeUnit timeUnit)

      Get the elapsed time of the request.
      Parameters:
        `timeUnit` - Desired time unit in which to return the elapsed time.
      Returns:
        the elapsed time.

    - #### throwable

          public Throwable throwable()

      Get a cause of the failure.
      Returns:
        a cause of the failure.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023